# Created by pyp2rpm-1.0.1
%global pypi_name drizzlepac
%define version 1.1.8

Name:           python-drizzlepac
Version:        %{version}
Release:        %mkrel 3
Group:          Sciences/Astronomy
Summary:        drizzle tools: combines astronomical images, including modeling distortion, removing cosmic rays, and generally improving fidelity of data in the final image

License:        BSD
URL:            http://www.stsci.edu/resources/software_hardware/stsci_python
Source0:        https://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
 
BuildRequires:  python-devel
BuildRequires:  python-numpy-devel
BuildRequires: python-astrolib-coords
BuildRequires: python-sphinx
BuildRequires: python-stsci-sphinxext
BuildRequires: python-stsci-tools
BuildRequires: python-pywcs
BuildRequires: python-stwcs
BuildRequires: python-fitsblender
BuildRequires: python-stsci-imagestats
BuildRequires: python-stsci-image
BuildRequires: python-stsci-ndimage
Obsoletes: python-stsci <= 2.13-4

%description
Drizzlepac is is part of stscipython.  It is also described at
http://www.stsci.edu/hst/HST_overview/drizzlepac/introduction/

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info



%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

# generate html docs 
PYTHONPATH=`echo build/lib.*` sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc html README.local
%{_bindir}/mdriz
%{_bindir}/resetbits
%{_bindir}/updatenpol
%{python_sitearch}/%{pypi_name}
%{python_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.1.8-3.mga4
+ Revision: 543243
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.1.8-2.mga4
+ Revision: 498445
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Sep 13 2013 joequant <joequant> 1.1.8-1.mga4
+ Revision: 478556
- save remove /usr/bin
- build requires
- add build packages
- add build requires
- add build requires
- add fitblender
- add stwcs build requires
- drizzlepac
- fix doc compilation
- add pywcs
- add sphinxext
- imported package python-drizzlepac

